Bug 1772712 - Review Request: candy-icon-theme - Candy Icons, a sweet gradient icon theme
Summary: Review Request: candy-icon-theme - Candy Icons, a sweet gradient icon theme
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-14 23:55 UTC by Artur Frenszek-Iwicki
Modified: 2019-12-21 02:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-21 00:56:39 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Artur Frenszek-Iwicki 2019-11-14 23:55:53 UTC
spec: https://svgames.pl/fedora/candy-icon-theme-01.spec
srpm: https://svgames.pl/fedora/candy-icon-theme-01.src.rpm
koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=39003640

Description: Candy Icons is a simplistic, gradient-based set of sweet vector icons.

Fedora Account System Username: suve

Comment 2 Robert-André Mauchin 🐧 2019-12-10 22:48:28 UTC
 - Use install -p to keep timestamps

Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 220 files have unknown license.
     Detailed output of licensecheck in /home/bob/packaging/review/candy-
     icon-theme/review-candy-icon-theme/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/icons/Candy/48x48,
     /usr/share/icons/Candy/scalable, /usr/share/icons/Candy/16x16
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: candy-icon-theme-0-2.20191129gite14463b4.fc32.noarch.rpm
          candy-icon-theme-0-2.20191129gite14463b4.fc32.src.rpm
candy-icon-theme.noarch: W: no-documentation
candy-icon-theme.src:54: W: mixed-use-of-spaces-and-tabs (spaces: line 2, tab: line 54)
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 3 Gwyn Ciesla 2019-12-11 16:17:44 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/candy-icon-theme

Comment 4 Fedora Update System 2019-12-12 17:21:43 UTC
FEDORA-2019-06702f477a has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-06702f477a

Comment 5 Fedora Update System 2019-12-12 17:38:19 UTC
FEDORA-2019-c2763e0a68 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c2763e0a68

Comment 6 Fedora Update System 2019-12-13 01:49:02 UTC
candy-icon-theme-0-3.20191210gitd68a12e8.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-06702f477a

Comment 7 Fedora Update System 2019-12-13 02:56:22 UTC
candy-icon-theme-0-3.20191210gitd68a12e8.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c2763e0a68

Comment 8 Fedora Update System 2019-12-21 00:56:39 UTC
candy-icon-theme-0-3.20191210gitd68a12e8.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-12-21 02:06:44 UTC
candy-icon-theme-0-3.20191210gitd68a12e8.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.